Bug 169254 - xorg-x11 version 6.8.2-37.FC4.49.2 results in fuzzy display with Intel 865/Dell E770p
xorg-x11 version 6.8.2-37.FC4.49.2 results in fuzzy display with Intel 865/De...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-26 04:29 EDT by Robert Biuk-Aghai
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-27 11:56:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.conf file used with xorg-x11 (2.76 KB, text/plain)
2005-09-26 04:29 EDT, Robert Biuk-Aghai
no flags Details
Xorg.0.log file from running xorg-x11 6.8.2-31 (49.13 KB, text/plain)
2005-09-26 04:31 EDT, Robert Biuk-Aghai
no flags Details
Xorg.0.log file from running xorg-x11 6.8.2-37.FC4.49.2 (55.59 KB, text/plain)
2005-09-26 04:32 EDT, Robert Biuk-Aghai
no flags Details
Xorg.0.log file from running xorg-x11-6.8.2-37.FC4.49.3.test_no_i945.0 (49.14 KB, text/plain)
2005-09-26 21:48 EDT, Robert Biuk-Aghai
no flags Details
Xorg.0.log file from running xorg-x11-6.8.2-37.FC4.49.2 (47.18 KB, text/plain)
2005-09-27 05:49 EDT, Robert Biuk-Aghai
no flags Details

  None (edit)
Description Robert Biuk-Aghai 2005-09-26 04:29:54 EDT
Description of problem:
The version 6.8.2-37.FC4.49.2 update results in a "wavy/fuzzy" display, where
vertical lines appear with alternate pixels offset by one pixel to either side.
That is, if a vertical line were supposed to run from (x,y) 0,0 to (x,y) 0,4, it
would look like it went: 0,0 - 1,1 - 0,2 - 1,3 - 0,4. This problem was not
present on the original version 6.8.2-31 release that came on the FC4 release CDs.

Reverted to version 6.8.2-31 for the time being (where monitor reports running
at 1024x768@85Hz).

Attached is the related xorg.conf file. The same xorg.conf file was used with
both versions of xorg-x11 mentioned (forcing a reconfig after switching to the
other xorg-x11 version resulted in the same config file content).

Attached are Xorg.0.log files for versions 6.8.2-31 and 6.8.2-37.FC4.49.2.


Version-Release number of selected component (if applicable):
6.8.2-37.FC4.49.2


How reproducible:
Every time on Dell Optiplex 270 with integrated Intel 865 graphics board and
Dell E770p monitor.

Steps to Reproduce:
1. Install FC3
2. Upgrade to FC4
3. Update xorg-x11 to version 6.8.2-37.FC4.49.2
4. Restart X
  
Actual results:
Wavy/fuzzy vertical lines, as described above.

Expected results:
Straight vertical lines.

Additional info:
Earlier mentioned here in bug 168752, where bug maintainer advised opening this
as a new bug.
Comment 1 Robert Biuk-Aghai 2005-09-26 04:29:55 EDT
Created attachment 119248 [details]
xorg.conf file used with xorg-x11
Comment 2 Robert Biuk-Aghai 2005-09-26 04:31:42 EDT
Created attachment 119249 [details]
Xorg.0.log file from running xorg-x11 6.8.2-31
Comment 3 Robert Biuk-Aghai 2005-09-26 04:32:41 EDT
Created attachment 119250 [details]
Xorg.0.log file from running xorg-x11 6.8.2-37.FC4.49.2
Comment 4 Mike A. Harris 2005-09-26 14:47:22 EDT
Please test the following test release, and provide feedback from your
testing:

ftp://people.redhat.com/mharris/testing/fc4/xorg-x11/6.8.2-37.FC4.49.3.test_no_i945.0

Also, please attach the X server log from this new X server.

Thanks in advance.
Comment 5 Robert Biuk-Aghai 2005-09-26 21:46:17 EDT
I've tested the 6.8.2-37.FC4.49.3.test_no_i945.0 test release which fixes the
fuzzy vertical lines problem. The visual quality of the display now appears to
be identical with that of the 6.8.2-31 release.

Attached is the X server log.

Many thanks for the quick problem resolution!
Comment 6 Robert Biuk-Aghai 2005-09-26 21:48:07 EDT
Created attachment 119285 [details]
Xorg.0.log file from running xorg-x11-6.8.2-37.FC4.49.3.test_no_i945.0
Comment 7 Mike A. Harris 2005-09-27 02:17:06 EDT
(In reply to comment #5)
> I've tested the 6.8.2-37.FC4.49.3.test_no_i945.0 test release which fixes the
> fuzzy vertical lines problem. The visual quality of the display now appears to
> be identical with that of the 6.8.2-31 release.
> 
> Attached is the X server log.

Ok that confirms suspicions.
 
> Many thanks for the quick problem resolution!

Not quite resolved yet.  ;o)

We just isolated the problem catalyst.  Now we need to find a fix for the
real bug. ;)

Thanks for helping narrow things down.  We'll update the bug once there
are new patches to test.


Comment 8 Mike A. Harris 2005-09-27 05:16:18 EDT
I had a chat with alanh in IRC about this issue this morning, and it turns
out that the i810 driver enforces DDC to be used now, and drops modes on
the floor which exceed the monitor's DDC supplied ratings.

The Dell 2000FP is a little funky in that it only supports 160MHz as it's
maximum pixel clock yet it's own 1600x1200 mode uses 162MHz, so the Xserver
drops the mode on the floor.
</paraphrase>

Suggested workaround, is to force DDC to be disabled, by adding the
following to the Device section of the config file:

       Option "NoDDC"

Using the 49.2 build, does this make the problem go away, or affect
it at all?  You can test it by downgrading just the server rpm with
the latest update using "rpm -Uvh --oldpackage <package>".  yum
might have an option to downgrade too, but I haven't checked.

Setting status to "NEEDINFO_REPORTER", and awaiting testing results.
Comment 9 Robert Biuk-Aghai 2005-09-27 05:48:41 EDT
I downgraded all the installed xorg-x11-* packages to the 49.2 build (because of
multiple mutual dependencies), edited xorg.conf by adding the suggested Option
line in the Device section, and rebooted.

The fuzzy vertical lines problem, however, is still present in this build and
with this suggested workaround. The monitor reports running at 1024x768@70K/87Hz.

I attach the X log file from this test run.
Comment 10 Robert Biuk-Aghai 2005-09-27 05:49:49 EDT
Created attachment 119293 [details]
Xorg.0.log file from running xorg-x11-6.8.2-37.FC4.49.2
Comment 11 Mike A. Harris 2006-06-27 11:56:14 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.